same_type.hpp File Reference

Check if two types are the same. More...

Go to the source code of this file.

## Classes

struct | claw::meta::same_type< T, U >
| This predicate tells if two types are the sames. More...
struct | claw::meta::same_type< T, T >

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::meta
| Structures for meta-programmation.

## Detailed Description

Check if two types are the same.

Author
  Julien Jorge

Definition in file same_type.hpp.